Download it now!
Bug 50301 - RTL: DOC - Shapes, images and textboxes not positioned correctly in two column page
Summary: RTL: DOC - Shapes, images and textboxes not positioned correctly in two colum...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: DOC RTL-Arabic
  Show dependency treegraph
 
Reported: 2012-05-23 23:44 UTC by A Sh
Modified: 2019-10-22 02:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Attached files (1.08 MB, application/zip)
2012-05-23 23:48 UTC, A Sh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description A Sh 2012-05-23 23:44:45 UTC
Problem description: 
The layout of .doc file I have isn't shown correctly (may be because of having too many tables and arts)

Attached file description:
After extracting zip file you will see these files:
form5.doc (the main file)
Needed Fonts.zip (Fonts used in the main document)
form5-Microsoft Word layout.pdf (What you see in Microsoft Word)
form5-Libreoffice layout.pdf (What you see in Libreoffice Writer)

Steps to reproduce:
1. open the file "form5.doc"

Current behavior:
The layout as you see isn't correct (like the file "form5-Microsoft word layout.pdf" which is created with Microsoft Word)

Expected behavior:
The layout should be like "form5-Microsoft Word layout.pdf"

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:12.0) Gecko/20100101 Firefox/12.0
Comment 1 A Sh 2012-05-23 23:48:52 UTC
Created attachment 62050 [details]
Attached files

Attached file description:
After extracting zip file you will see these files:
form5.doc (the main file)
Needed Fonts.zip (Fonts used in the main document)
form5-Microsoft Word layout.pdf (What you see in Microsoft Word)
form5-Libreoffice layout.pdf (What you see in Libreoffice Writer)
Comment 2 Roman Eisele 2012-05-24 00:39:35 UTC
This is a Writer issue, therefore changed the Component field accordingly.
Comment 3 bfoman (inactive) 2012-11-26 14:00:56 UTC
Confirmed with:
LO 4.0.0.0.alpha1+ 
Build ID: 6aabe09
Windows 7 Professional SP1 64 bit

Rendering is still incorrect.
Comment 4 QA Administrators 2015-01-05 17:51:22 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-01-22 13:43:22 UTC
Rendering still messed up.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 6 QA Administrators 2016-02-21 08:35:17 UTC Comment hidden (obsolete)
Comment 7 A Sh 2016-03-05 11:18:57 UTC Comment hidden (me-too)
Comment 8 A Sh 2017-08-01 04:45:05 UTC
Still reproducible.

Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 8; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 9 Lior Kaplan 2017-10-12 11:15:28 UTC Comment hidden (obsolete)
Comment 10 Yousuf Philips (jay) (retired) 2017-10-13 00:33:12 UTC
There are alot of various bugs within this single file that need to be fixed in order for this to be completely resolved, but the biggest issue seems to be the wrong positioning of images/ole, textboxes/frames and shapes within the page's two columns, which bug 85994 is intending to fix.
Comment 11 A Sh 2017-10-18 04:50:19 UTC
(In reply to Lior Kaplan from comment #9)
> Do you have a simpler document which the problem still happens? Might make
> it easier to fix.

Not really! I can't tell what the exact bug is. However, the issue Yousuf mentioned seems to be a good start.
Comment 12 QA Administrators 2018-10-19 02:50:43 UTC Comment hidden (obsolete)
Comment 13 A Sh 2018-10-21 20:02:58 UTC
Still reproducible.

Version: 6.1.2.1
Build ID: 10(Build:1)
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group threaded
Comment 14 QA Administrators 2019-10-22 02:32:28 UTC
Dear A Sh,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug